[Logcheck-commits] CVS logcheck/debian

CVS User ttroxell logcheck-devel@lists.alioth.debian.org
Thu, 20 Jan 2005 11:27:59 -0700


Update of /cvsroot/logcheck/logcheck/debian
In directory haydn:/tmp/cvs-serv14483

Modified Files:
	changelog logcheck.postinst 
Log Message:
setgir dirs, not setuid 


--- /cvsroot/logcheck/logcheck/debian/changelog	2005/01/15 20:02:41	1.331
+++ /cvsroot/logcheck/logcheck/debian/changelog	2005/01/20 18:27:59	1.332
@@ -7,7 +7,8 @@
     (closes: #289801)
   * Adjust logcheck to redirect stdout and also stderr when reporting in order 
     to maintain the current behavior of logcheck after the change above.
-  maks
+  * Change rule directories to setgid for real this time. (closes: #291395)
+  maks:
   * Add pdns, fix scponly, fix gconfd SIGHUP rule.
   * Fix pam_winbind rule at level workstation. (Closes: #289866)
   * Ignore sudo "command continued" logline. (Closes: #290195)
--- /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/01/08 09:57:07	1.31
+++ /cvsroot/logcheck/logcheck/debian/logcheck.postinst	2005/01/20 18:27:59	1.32
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# $Id: logcheck.postinst,v 1.31 2005/01/08 09:57:07 ttroxell Exp $
+# $Id: logcheck.postinst,v 1.32 2005/01/20 18:27:59 ttroxell Exp $
 
 set -e
 
@@ -57,17 +57,17 @@
         if [ "$2" = "" -a ! -f /etc/logcheck/header.txt ]; then
           cp -p /usr/share/logcheck/header.txt /etc/logcheck
         fi
-	if dpkg --compare-versions "$2" lt "1.2.33"; then
+	if dpkg --compare-versions "$2" lt "1.2.34"; then
     	  # Fix Permissions
     	  chown -R logcheck:logcheck /var/lib/logcheck  || true
           chgrp -R logcheck /etc/logcheck || true
-          chmod 4750 /etc/logcheck/ignore.d.paranoid || true
-          chmod 4750 /etc/logcheck/ignore.d.workstation || true
-          chmod 4750 /etc/logcheck/ignore.d.server || true
-          chmod 4750 /etc/logcheck/cracking.d || true
-          chmod 4750 /etc/logcheck/cracking.ignore.d || true
-          chmod 4750 /etc/logcheck/violations.d || true
-          chmod 4750 /etc/logcheck/violations.ignore.d || true
+          chmod 2750 /etc/logcheck/ignore.d.paranoid || true
+          chmod 2750 /etc/logcheck/ignore.d.workstation || true
+          chmod 2750 /etc/logcheck/ignore.d.server || true
+          chmod 2750 /etc/logcheck/cracking.d || true
+          chmod 2750 /etc/logcheck/cracking.ignore.d || true
+          chmod 2750 /etc/logcheck/violations.d || true
+          chmod 2750 /etc/logcheck/violations.ignore.d || true
     	  chmod -R g+rX /etc/logcheck || true
           # just in case
           chown logcheck /var/lock/logcheck > /dev/null 2>&1 || true